org.apache.hc.client5.http.async.methods

## Class DefaultAsyncRequestProducer

- java.lang.Object
- - org.apache.hc.core5.http.nio.BasicRequestProducer
  - - org.apache.hc.client5.http.async.methods.DefaultAsyncRequestProducer

All Implemented Interfaces:
  Configurable, org.apache.hc.core5.http.nio.AsyncDataProducer, org.apache.hc.core5.http.nio.AsyncRequestProducer, org.apache.hc.core5.http.nio.ResourceHolder

Direct Known Subclasses:
  SimpleRequestProducer

    public class DefaultAsyncRequestProducer
    extends org.apache.hc.core5.http.nio.BasicRequestProducer
    implements Configurable

### Constructor Summary

Constructors
Constructor and Description
`DefaultAsyncRequestProducer(org.apache.hc.core5.http.HttpRequest request, org.apache.hc.core5.http.nio.AsyncEntityProducer entityProducer)`
`DefaultAsyncRequestProducer(org.apache.hc.core5.http.HttpRequest request, org.apache.hc.core5.http.nio.AsyncEntityProducer entityProducer, RequestConfig config)`

### Method Summary

Methods
`RequestConfig` `getConfig()` Returns actual request configuration.

### Methods inherited from class org.apache.hc.core5.http.nio.BasicRequestProducer

`available, failed, getEntityDetails, produce, produceRequest, releaseResources`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultAsyncRequestProducer

    public DefaultAsyncRequestProducer(org.apache.hc.core5.http.HttpRequest request,
                               org.apache.hc.core5.http.nio.AsyncEntityProducer entityProducer,
                               RequestConfig config)

#### DefaultAsyncRequestProducer

    public DefaultAsyncRequestProducer(org.apache.hc.core5.http.HttpRequest request,
                               org.apache.hc.core5.http.nio.AsyncEntityProducer entityProducer)

### Method Detail

#### getConfig

    public RequestConfig getConfig()

Description copied from interface: `Configurable`
Returns actual request configuration.

Specified by:
  `getConfig` in interface `Configurable`